/***
****	SHELLTIMER.H
****
****	Creation:		John Lindwall
****					19 Jan 1992
****
****	Description:	Header file for ShellTimer programs.
****
****	Overhauls:
***/

#ifndef STOPWATCH_H

#ifdef MWDEBUG
#include "memwatch.h"		/* Tests for memory leaks */
#endif

#include <devices/timer.h>

struct ST_Message
{
	struct Message msg;
	int code;
	int requestID;
	struct timeval startTime;
	struct timeval endTime;
	struct timeval diffTime;
};

/* Name of the daemon's well-known message port */
#define ST_PORT			"ShellTimerDaemon"

/* Commands - stored in code field */
#define ST_START		1
#define ST_STOP			2
#define ST_CANCEL		3
#define ST_QUIT			4
#define ST_TOGGLE		5	/* Either START or STOP */
#define ST_HELP			6
#define ST_QUERY		7

/* Replies - stored in code field */
#define ST_OK				0
#define ST_ERR				-1
#define ST_ERR_NO_PENDING	-2
#define ST_TIMEWARP			-3		/* Time has reversed its mighty tide? */

#define STOPWATCH_H
#endif
